Retail Express API 2.1

Updates Product

Sample request:

 PUT /products
 {
    "carton_quantity":1,
    "cogs_ex":11.1,
    "cubic":20.2,
    "direct_costs_ex":1.1,
    "prevent_disabling":false,
    "promotional_price_inc":1.1,
    "promotional_price_expiry":"2021-12-12T00:00:00",
    "freight_inc":1.1,
    "rrp_inc":1.1,
    "sell_price_inc":1.1,
    "web_price_inc":1.1,
    "breadth":1.1,
    "core_product":false,
    "custom_properties": [
         {
             "Name": "Custom1",
             "Value": "Value1"
         },
         {
             "Name": "Custom2",
             "Value": "Value2"
         }
    ],
    "depth":1.1,
    "disabled":false,
    "lead_time":12,
    "length":1.1,
    "loyalty_ratio":1.1,
    "manufacturer_sku":"UniqueManufacturerSku",
    "product_type":{
       "id":3
    },
    "requires_assembly":false,
    "shipping_cubic":1.1,
    "short_description":"ShortDescription",
    "supplier":{
        "supplier_code":"00"
    },
    "supplier_buy_ex":1.1,
    "supplier_sku":"SupplierSKU1",
    "supplier_sku2":"SupplierSKU2",
    "weight":1.1,
    "buy_price_ex" : 0.0000,
    "attributes":[
       {
          "value":{
             "id":1
          },
          "id":3
       }
    ],
    "long_description": "sample text",
    "voucher_product" : false,
    "max_discount_rule":{
         "id": 1
    },
    "replenishment_method": {
          "id": 1
    },
    "sales_channels":[
         {
             "id": 1,
             "source_group": 
             {
                 "id": 1
             },
             "enabled": true
         }],
   "export_to_web": false  
 }
put
https://api.retailexpress.com.au/v2/products/{id}

Path Parameters

idinteger(int32)required

Product id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Product

Product

Product Model

* Additional properties are NOT allowed.
carton_quantityinteger | null(int32)

Carton quantity

cogs_exnumber(double)

Cogs ex

cubicnumber(double)

Cubic

direct_costs_exnumber | null(double)

Direct costs

prevent_disablingboolean | null

Is product disabled

promotional_price_incnumber | null(double)

Discount price

promotional_price_expirystring | null(date-time)

Discount price expiry

freight_incnumber | null(double)

Freight inc

rrp_incnumber | null(double)

Rpr inc

sell_price_incnumber | null(double)

Sell Price, cannot be used along with markup_target

>= -922337203685477.6<= 922337203685477.6

web_price_incnumber | null(double)

Web price

markup_targetnumber | null(double)

Markup Target %, cannot be used along with sell_price_inc

breadthnumber(double)

Breadth

>= -9999.9999<= 9999.9999

core_productboolean

Is core product flag

custom_propertiesarray | null[object]

Custom Property Model

* Additional properties are NOT allowed.
Show Child Parameters
depthnumber(double)

Depth

>= -9999.9999<= 9999.9999

disabledboolean

Disabled

idinteger | null(int32)

Product id.

lead_timeinteger | null(int32)

Lead time

lengthnumber | null(double)

Length

>= -9999.9999<= 9999.9999

loyalty_rationumber | null(double)

Loyalty Ratio

manufacturer_skustring | null

Manufacture SKU

product_typeobject

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
requires_assemblyboolean

Requires Assembly

shipping_cubicnumber | null(double)

Shipping Cubic

>= -999999.9999<= 999999.9999

short_descriptionstring | null

Product description.

supplierobject

Product Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_buy_exnumber(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_skustring | null

Supplier SKU.

supplier_sku2string | null

Supplier SKU2.

weightnumber | null(double)

Weight

>= -99999999.9999<= 99999999.9999

buy_price_exnumber | null(double)

Buy price ex

long_descriptionstring | null

Long description

voucher_productboolean

Voucher product

max_discount_ruleobject

Max Discount Rule Model

* Additional properties are NOT allowed.
Show Child Parameters
replenishment_methodobject
* Additional properties are NOT allowed.
Show Child Parameters
attributesarray | null[object]

Product attributes

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring | null(date-time)

Modified on

inventoryarray | null[object]

Product Inventory Model

* Additional properties are NOT allowed.
Show Child Parameters
sales_channelsarray | null[object]

Product Sales Chanels

* Additional properties are NOT allowed.
Show Child Parameters
export_to_webboolean

Export To Web

packageboolean

Package

put/products/{id}

Body

{}
 
application/json

Searches Product Barcodes by Product id and other parameters

Searches Product Barcodes by Product id and other parameters

get
https://api.retailexpress.com.au/v2/products/{id}/barcodes

Query Parameters

barcodestring | null

Product barcode name

enabledboolean | null

Product barcode enabled

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Product id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Barcodes data

ProductBarcode.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Barcode model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/products/{id}/barcodes
 
application/json

Creates Product Barcode

Sample request:

 POST /products/2/barcodes
  {
     "barcode": "BARCODENAME", 
     "enabled": true
  }
post
https://api.retailexpress.com.au/v2/products/{id}/barcodes

Path Parameters

idinteger(int32)required

Product id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was created

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

post/products/{id}/barcodes

Body

{}
 
application/json

Gets specific Product Barcode by unique Product Barcode id and Product id

Gets specific Product Barcode by unique Product Barcode id and Product id

get
https://api.retailexpress.com.au/v2/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Barcode

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

get/products/{id}/barcodes/{barcode_id}
 
application/json

Updates Product Barcode by Product id and Product Barcode id.

Sample request:

PUT /products/2/barcodes/1
 {
    "barcode": "BARCODENAME1", 
    "enabled": true
 }
put
https://api.retailexpress.com.au/v2/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was updated

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

put/products/{id}/barcodes/{barcode_id}

Body

{}
 
application/json